#include <bits/stdc++.h>

using namespace std;

int main()
{
    int T,N,M;
    cin>>T;
    cin>>N>>M;
        if(N!=M)
            cout<<"-1";
        else if(N==M){
            for(int i=0;i<N;i++){
                for(int j=0;j<N;j++){
                    if(i==0 || i==N-1)
                        cout<<"1";
                    else if(i!=1 && i!=N){
                        if(j==1 || j>N-(i-1))
                            cout<<"1";
                        else
                            cout<<"0";
                    }
                }

            }
        }
}